﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;

namespace DataTableCreateTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //DataTableオブジェクトを生成
            DataTable dt = new DataTable("Personal");
            
            //DataTableオブジェクトに列を追加
            dt.Columns.Add("last_name", Type.GetType("System.String"));
            dt.Columns.Add("first_name", Type.GetType("System.String"));
            dt.Columns.Add("age", Type.GetType("System.Int32"));

            //ループ
            while (true)
            {
                //メニューを表示
                Console.WriteLine("次のメニューから選んでください。");
                Console.Write("1)追加　　2)一覧　　9)終了：");
                string menunum = Console.ReadLine();

                //メニューに応じて処理を分岐
                switch (menunum)
                {
                    case "1":
                        //データを入力
                        Console.Write("姓：");
                        string lname = Console.ReadLine();
                        Console.Write("名：");
                        string fname = Console.ReadLine();
                        Console.Write("年齢：");
                        int age;
                        try
                        {
                            age = Int32.Parse(Console.ReadLine());
                        }
                        catch(FormatException e)
                        {
                            Console.WriteLine("年齢は数字を入力してください。");
                            break;
                        }

                        //DataTableオブジェクトより新規行を取得
                        DataRow dr = dt.NewRow();

                        //取得した行にデータを設定
                        dr["last_name"] = lname;
                        dr["first_name"] = fname;
                        dr["age"] = age;

                        //新規行をDataTableオブジェクトに追加
                        dt.Rows.Add(dr);
                        break;

                    case "2":
                        //表示するデータがない場合
                        if(dt.Rows.Count == 0){
                            Console.WriteLine("表示するデータはありません。");
                            break;
                        }
                        
                        //DataTableオブジェクトの行を表示
                        Console.WriteLine("姓\t名\t年齢");
                        foreach(DataRow dtrow in dt.Rows){
                            Console.WriteLine("{0}\t{1}\t{2}", dtrow["last_name"], dtrow["first_name"], dtrow["age"]);
                        }
                        break;

                    case "9":
                        return;

                    default:
                        Console.WriteLine("正しい番号を入力してください。");
                        break;
                }
                Console.WriteLine();
            }
        }
    }
}
